user-subscription-service-v2

Query user subscription information. In v2, user subscriptions are contingent upon user accepting latest terms and conditions.

Get the user's active subscriptions.

Request

  • The API returns active subscriptions associated with the user specified in the provided user token, given that the user has accepted the latest SLB Digital T&Cs.
  • At least one of groupId, appCode or billingAccountId is required.
  • If query parameters are specified, then the results are filtered using an AND operation.
  • The user is identified through their user-principal, as indicated by the email claim in the JWT token within the authorization header.
  • The API caller is authenticated via the service principal, as indicated by the azp (Authorized Party) claim in the JWT token within the authorization header.
  • If your application must be scoped to specific billing accounts, the client ID needs the ccm.subscription.read (e.g., the controlPlaneAdmin role) permission. Please raise the request with the CSI team.
  • The API enforces a request rate limit of 10 requests per minute per caller.
Security
bearer and appkey
Query
appCodestring

A unique identifier of an application as defined in the catalog.

Example:appCode=apideveloperportal
groupIdstring

A unique identifier to specify the application's group as defined in the catalog.

Example:groupId=Cirrus
billingAccountIdstring

ID of the billing account representing client's legal entity with which a contract was signed.

Example:billingAccountId=DIGITAL2020
curl -i -X GET \
  'https://api.delfi.slb.com/ccm/userSubscription/v2/userSubscriptions?appCode=apideveloperportal&groupId=Cirrus&billingAccountId=DIGITAL2020' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'appkey: YOUR_API_KEY_HERE'

Responses

Success

Bodyapplication/json
hasAcceptedTermsboolean

True if user has accepted latest terms and conditions

userSubscriptionsArray of objects(Response)
Response
{ "hasAcceptedTerms": true, "userSubscriptions": [ {} ] }